با انتشار وردپرس نسخه ۴٫۶ اغلب کسانی که سایت خود را به این نسخه ارتقاء داده اند، خطا هایی را در صفحه اصلی و صفحه ادمین مشاهده کرده اند.دلیل وجود این خطاها پایین بودن ورژن php هاستی است که سایت شما روی آن نصب شده است، در واقع پایین بودن نسخه php برای بالا بودن امنیت سایت لازم است؛ اما گاهی برای اجرای صحیح سایت نمایش درست مجبور به ارتقاء نسخه php می باشیم.

خطاهای زیر با آپدیت وردپرس در صفحه ادمین :

Warning: ini_get_all() has been disabled for security reasons in /home/bagheset/public_html/wp-includes/load.php on line 1020
Warning: ini_get_all() has been disabled for security reasons in /home/bagheset/public_html/wp-includes/load.php on line 1020
Warning: Cannot modify header information – headers already sent by (output started at /home/bagheset/public_html/wp-includes/load.php:1020) in /home/bagheset/public_html/wp-includes/pluggable.php on line 1174

و خطاهای زیر در صفحه اصلی :

Warning: ini_get_all() has been disabled for security reasons in /home/bagheset/public_html/wp-includes/load.php on line 1020
Warning: ini_get_all() has been disabled for security reasons in /home/bagheset/public_html/wp-includes/load.php on line 1020

به نمایش در آمده اند.

راه حل این خطاها آپدیت ورژن php هاست به نسخه ی ۵٫۶ و بالاتر از آن می باشد.

معمولا در تمامی هاست ها گزینه ای برای بالابردن نسخه php وجود دارد، در صورت نبود آن با پشتیبانی هاست تماس حاصل نمایید.

منبع
محمد جواد کوشکی
خودمو یک متخصص نمی دونم چون هر روز دارم چیز های جدیدی در حوزه کسب و کار اینترنتی یاد می گیرم.
4 نظر ارسال شده
  1. yosef گفت:

    سلام آقای محمدجواد.
    روی تمام نسخه های php امتحان کردم ولی مثل اینکه این /public_html/wp-includes/pluggable.php on line 1174 ولمون نمیکنه.تمام پلاگین ها هم غیرفعال هستن.
    موقع نوشته ی جدید گذاشتن اینم باهاش میاد
    /public_html/wp-admin/post.php on line 197
    بعدش یکی یه پیشنهاد داد گفت وردپرس رو آپدیت کن درست میشه.اومدم آپدیتش کنم این خطا اومد
    /public_html/wp-includes/update.php on line 306
    و
    /public_html/wp-admin/includes/update.php on line 115
    خطای مربوط به آپدیت روی همه ی پوسته ها هستن.
    کلی سرچ کردم از هزارنفر پرسیدم بازم به نتیجه نرسیدم.
    ممنون میشم کمک کنید.

    • سلام بهترین راهش همون آپدیت وردپرس هستش منتها با روش دستی نه با روش خوکار.باید نسخه جدید وردپرس رو دانلود کنید و در هاست در روت تمام فایل ها به جز فایل wp-config.php و wp-content رو پاک کنید و فایل های نسخه جدید رو جایگزین کنید.دقت داشته باشید که اون دوتا فایل حتما جایگزین نشند

  2. yosef گفت:

    ممنون.
    بازم شما نجاتم دادید.
    اگه پکیج دیگه ای هم کارکردید معرفی کنید تا خریداری کنم.